import { QuizSettings } from "@model/settingsData";
import { createContext, useContext } from "react";

type QuizData = QuizSettings & {
    quizId: string;
    preview: boolean;
    changeFaviconAndTitle: boolean;
};

export const QuizDataContext = createContext<QuizData | null>(null);

export const useQuizData = () => {
    const quizData = useContext(QuizDataContext);
    if (quizData === null) throw new Error("QuizData context is null");

    return quizData;
};
