import { useMemo } from "react";


export function useQuizCompletionStatus(quizId: string): boolean {
    return useMemo(() => {
        const sessions = JSON.parse(localStorage.getItem("sessions") || "{}");

        if (
            typeof sessions[quizId] === "number"
            && Date.now() - sessions[quizId] < 86400000
        ) {
            return true;
        }

        return false;
    }, [quizId]);
}
